POST
/api/v1/rds/cluster/{Cluster_id}/snapshot
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/snapshot?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "e12"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/snapshot", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "e12", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/snapshot");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "e12" }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Cluster_id
required
integer
Cluster Id
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
Example
e12Responses
Section titled “Responses”Snapshot information successfully retrieved
Media typeapplication/json
object
code
integer
data
object
snapshot_id
integer
snapshot_details
object
name
string
date
string format: date-time
size
string
snapshot_id
integer
cluster_id
integer
name
string
snapshot_uuid
string format: uuid
errors
object
message
string
Example
{ "code": 200, "data": { "snapshot_id": 0, "snapshot_details": { "name": "vishnu_1738755602.780148", "date": "2025-02-05T11:40:03Z", "size": "190734", "snapshot_id": 0 }, "cluster_id": 5275, "name": "E2E-DBaaS-26322-6488", "snapshot_uuid": "22567090-1864-41b5-afd9-8b1b49c60724" }, "message": "Manual Snapshot in Process."}